AOZ Studio Beta - Bug #234

default resources/filesystem is not used if path is in a variable or constant.
02/15/2020 12:02 PM - Brian Flanagan

Status: Rejected Start date: 02/15/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5

Description

Apparently, it only scans quoted strings in the commands, but not variables / constants.
It needs to check the file access commands real-time, instead of pre-processing the quoted strings.

This example works:

#manifest:"amiga"

#speed:"safe"

#fps:false

Cls 0 : Pen 2 : Paper O

Track Load "AMOSPro_Examples:Music/Mod.tracker", 6
Print "Click mouse button to start music."
Print "Click again to exit AOZ." : Print

Print " (Track will play until window closed.)"
Repeat Until Mouse Key <> 0

Repeat Until Mouse Key = 0

Track Play 6,0

Repeat Until Mouse Key <> 0

This example causes the dreaded "Drive not found" error:

#manifest:"amiga"

#speed:"safe"

#fps:false

Cls 0 : Pen 2 : Paper O
Trk$="AMOSPro_Examples:Music/Mod.tracker"
Track Load Trk$, 6

Print "Click mouse button to start music."
Print "Click again to exit AOZ." : Print
Print " (Track will play until window closed.)"
Repeat Until Mouse Key <> 0

Repeat Until Mouse Key = 0

Track Play 6,0

Repeat Until Mouse Key <> 0

History

#1 - 02/21/2020 08:19 PM - Francois Lionet
- Status changed from New to Rejected

- Assignee set to AOZ Studio Team

Impossible to do-> the detection of files to include is done by the transpiler, to do what you what would imply complex checking procedure to see if the
variable has been changed, including inside of Procedures and Gosubs.

In such case, you KNOW that the path is constant, just add the tag at the beginning of the source (only in v0.9.5 and above...)

#addToFilesystem:"AMOSPro_Examples:Music/Mod.tracker"
